SPACEWALK-CHANNEL(8)

NAME
spacewalk-channel - Subscribe to or unsubscribe system from channel.

SYNOPSIS

spacewalk-channel [options]

DESCRIPTION

spacewalk-channel allows you to subscribe to and unsubscribe from specified channels via the command line. A visit to the Red Hat Network (or Spacewalk) website isn't required.

OPTIONS

-l, --list
    Print a list of channel(s) that you are currently subscribed to.

-L, --available-channels
    Print a list of all available child channels.

-a, --add
    You are subscribing system to given channel(s). You have to specify --user and --password.

-r, --remove
    You are unsubscribing system to given channel(s). You have to specify --user and --password.

-u, --user
    Your username used to register the system with and for Red Hat Network, RHN Satellite or Spacewalk. If you do not enter this option and it is required, you will be prompted.

-p, --password
    The password associated with the username specified with the --user option. This is an unencrypted password. If you do not enter this option and it is required, you will be prompted.

-c, --channel
    Label of channel you want to subscribe to or unsubscribe from. Can be specified multiple times.

-v, --verbose
    Print out successfull action.

-h, --help
    Show a help message and exit.

NOTE

The addition and removal of channels is mutually exclusive, please use the command twice.

EXAMPLES

Subscribe to two channels:

    spacewalk-channel --add -c rhn-tools-rhel-i386-server-5 -c rhel-i386-server-vt-5 --user username --password password

Unsubscribe from channel:

    spacewalk-channel --remove -c rhn-tools-rhel-i386-server-5 -c rhel-i386-server-vt-5 --user username --password password

List subscribed channels:

    spacewalk-channel --list

SEE ALSO

rhnplugin(8), rhn_register(8), up2date(5).

AUTHORS

Miroslav Suchý <msuchy@redhat.com>

BUGS

Report bugs to <http://bugzilla.redhat.com>.

COPYRIGHT

Copyright © 2009-2010 Red Hat, Inc.

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.